deGenes2by2Wilcox {maigesPack} | R Documentation

## Function to do differential expression analysis, comparing only two samples

### Description

This function takes an object of class `maiges` and do differential expression analysis for the genes onto dataset, comparing only two samples, by the Wilcox (Mann-Withney) test.

### Usage

    deGenes2by2Wilcox(data=NULL, sLabelID=names(data@Slabels)[1], sTypeComp=NULL,
                      doClust=TRUE, ...)

### Arguments

`data` | object of class `maiges`.
`sLabelID` | character string giving the sample label ID to be used.
`sTypeComp` | list with character vectors specifying the two sample types to be compared.
`doClust` | logical indicating if the object generated from this analysis will be used for cluster analysis. Defaults to TRUE.
`...` | additional parameters for functions `t.test`, `wilcox.test` or `bootstrapT`.

### Details

This function calculate Wilcox statistics and p-values for the test comparing the equality of means using the function `wilcox.test`.

There another function to do parametric t test , `deGenes2by2Ttest`, and another option of non-parametric test doing bootstrap of t statistics, `deGenes2by2BootT`.

### Value

The result of this function is an object of class `maigesDE` if `doClust` if FALSE or of class `maigesDEcluster` if it is TRUE.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`wilcox.test`, `deGenes2by2Ttest` and `deGenes2by2BootT`.

### Examples

    ## Loading the dataset
    data(gastro)

    ## Doing wilcoxon test fot 'Type' sample label
    gastro.wilcox = deGenes2by2Wilcox(gastro.summ, sLabelID="Type")
    gastro.wilcox

[Package maigesPack version 1.4.0 Index]